Subject: bug#6745: 24.0.50; vc-annotate should allow to configure the width of blame info

From: Juri Linkov <[email-masked]>
Date: Wed, 11 May 2022 19:53:54 +0300

> But to do that, I think we'd have to rework how vc-*-annotate-command
> works.  I think they basically work by running the "blame" command for
> the VC in a buffer, and then parsing/fontifying the output a bit?

There is no such problem in the vc-git backend because it shows
short hashes, and also it's possible to make other parts shorter
by customizing vc-git-annotate-switches.